Bug 15192 - texobj's bias not added when select the texture level
texobj's bias not added when select the texture level
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i915
git
x86 (IA32) Linux (All)
: medium normal
Assigned To: haihao
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-24 23:15 UTC by WuNian
Modified: 2009-08-24 12:29 UTC (History)
1 user (show)

See Also:


Attachments
test case (2.86 KB, text/plain)
2008-03-24 23:15 UTC, WuNian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description WuNian 2008-03-24 23:15:27 UTC
Created attachment 15437 [details]
test case

Referring to OpenGL spec(spec v2.0, page 171) fomular 3.19, texobj's bias should be added when compute texture level.

The test case attached will use level 1 texture with i915 driver. With soft rendering / i965 driver, it uses level 2 texture(texobj bias + texunit bias).
Comment 1 haihao 2008-03-30 22:51:32 UTC
fixed in mesa d30d9e42b758db452bfdb482b619a5f4c6d01037
Comment 2 WuNian 2008-04-10 19:17:56 UTC
verified. Thanks.
Comment 3 ajax at nwnk dot net 2009-08-24 12:29:43 UTC
Mass version move, cvs -> git